Unable to connect to ElasticSearch AWS service

#1

Hi, ElasticSearch service in AWS runs version 6.4.2
Opendistro comes pre-configured with elasticsearch kibana plugin 6.5.4.
Has anyone got it working? I tried RPM install to be sure that the error was the plugin, and yes, thats the problem.

Heres the logline:

“status”,“plugin:elasticsearch@6.5.4”,“error”],“pid”:2562,“state”:“red”,“message”:“Status changed from yellow to red - This version of Kibana requires Elasticsearch v6.5.4 on all nodes. I found the following incompatible nodes in your cluster: v6.4.2 @ (undefined), v6.4.2 @ (undefined), v6.4.2 @ (undefined), v6.4.2 @ (undefined), v6.4.2 @ (undefined)”,“prevState”:“yellow”,“prevMsg”:“Waiting for Elasticsearch”

Thanks

#2

Hi, Amazon Elasticsearch Service does not currently support Open Distro for Elasticsearch - though that is our intention over time as we launch these features on the service. This will enable us to use Open Distro for Elasticsearch to involve the community in much of the new feature development for the Amazon Elasticsearch Service and will give users the ability to provide feedback and contribute ahead of the open source features being made available on the service. We do expect the Open Distro for Elasticsearch Kibana plugins to be fully compatible with what is running on the service - assuming you are using the corresponding version.

Thanks.